List cards
curl --request GET \
--url https://api.contro.me/v1/partner/cards \
--header 'x-contro-api-key: <api-key>'import requests
url = "https://api.contro.me/v1/partner/cards"
headers = {"x-contro-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-contro-api-key': '<api-key>'}};
fetch('https://api.contro.me/v1/partner/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "card_def456",
"type": "virtual",
"brand": "Visa",
"status": "active",
"nameOnCard": "JANE DOE",
"limit": 5000,
"last4": "0000",
"programId": "prog_xyz",
"createdAt": "2026-03-20T14:30:00Z",
"spendControl": {
"sales": {
"perTransaction": 200,
"daily": 1000,
"monthly": 20000,
"allTime": 50000
},
"cash": {
"perTransaction": 200,
"daily": 1000,
"monthly": 20000,
"allTime": 50000
},
"spent": {
"sales": {
"perTransaction": 200,
"daily": 1000,
"monthly": 20000,
"allTime": 50000
},
"cash": {
"perTransaction": 200,
"daily": 1000,
"monthly": 20000,
"allTime": 50000
}
}
}
}
],
"total": 123,
"page": 123,
"limit": 123
}Cards
List cards
List cards for this partner
GET
/
partner
/
cards
List cards
Authorizations
Partner API key (sk_live_* for production, sk_test_* for sandbox)
Query Parameters
Page number
Required range:
x >= 1Number of items per page (1-100)
Required range:
1 <= x <= 100Filter by card status
Available options:
created, active, frozen, cancelled Example:
"active"